Firefox file selector should show remote shares

Bug #31471 reported by Gianfranco Liporace on 2006-02-15
98
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Invalid
Undecided
Unassigned
firefox (Ubuntu)
Medium
Unassigned
firefox-3.0 (Ubuntu)
Medium
Unassigned

Bug Description

Today I discovered that firefox can open files on remote shares (in this case a smb server) using nautilus. However, should be nice that the file selector in firefox could list those share, so things like uploads could be easier to do without copying file in local.

Changed in firefox:
assignee: nobody → ijackson
Alexandre Otto Strube (surak) wrote :

Do you have the package "firefox-gnome-support" installed? Does this happens even when this package is there?

Gianfranco Liporace (dr.kabuto) wrote :

Yes, I have that package installed. In fact, i think that firefox can open remote file because of that packagae, but only when double-clicking on a file in nautilus.

Ronnie (ronnie-mk2) wrote :

This apply to other applications, including Thunderbird.
Actually i don't know how to attach a document from a smb share.

Ian Jackson (ijackson) on 2006-09-27
Changed in firefox:
assignee: ijackson → nobody
Miguel Cabrera (mfcabrera) wrote :

I can confirm this bug in Edgy. Evolution, Nautilus and OpenOffice now supports remote shares. There are others apps with this issue too.

Changed in firefox:
status: Unconfirmed → Confirmed
David Farning (dfarning) on 2006-12-31
Changed in firefox:
assignee: nobody → mozillabugs
Alexander Sack (asac) wrote :

This belongs upstream. triage needed.

Alexander Sack (asac) wrote :

assigning to me in order to develop and submit patch upstream.

Note to myself: In order to fix set local-only property to FALSE on file chooser in widget/src/gtk2/nsFilePicker.cpp

Changed in firefox:
assignee: mozillateam → asac
Alexander Sack (asac) wrote :

colorzilla is not support by our firefox build. We have a bug that tracks this. Marking as dupe.

Alexander Sack (asac) wrote :

ignore last message. Wrong bug

Alexander Sack (asac) on 2007-05-13
Changed in firefox:
status: Unconfirmed → Rejected
hieronymouse (h-ouvaton) wrote :

Almost a year later and this bug is still not fixed. I notice that it even applies to the Epiphany browser, which in other ways is better integrated into Gnome.

"Today I discovered that firefox can open files on remote shares (in this case a smb server) using nautilus."
How? I simply need to attach a file from the network when using Gmail. I would have thought that this is something really basic that anyone in an office environment would need.

Thanks

Savvas Radevic (medigeek) wrote :

This happens to firefox-3.0 as well? If so, add that package as well:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/31471/+distrotask

On Mon, Mar 31, 2008 at 10:42:48AM -0000, Savvas Radević wrote:
> This happens to firefox-3.0 as well? If so, add that package as well:
> https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/31471/+distrotask
>

ffox is nearing EOL and so this wont see a fix in that version anymore

 affects ubuntu/firefox
 status wontfix

Please test if this is still reproducible in firefox-3.0 (from
hardy/intrepid)

 affects ubuntu/firefox-3.0
 status incomplete

 - Alexander

Changed in firefox:
status: Confirmed → Won't Fix

Hi Alex,
I can confirm that this bug is present also in firefox 3.0 (hardy)

Savvas Radevic (medigeek) wrote :

as per gianfranco's confirmation, setting back to confirmed

Changed in firefox-3.0:
status: Incomplete → Confirmed
John Vivirito (gnomefreak) wrote :

Please read https://wiki.ubuntu.com/MozillaTeam/Bugs/States?highlight=(mozilla) before setting status as we dont use the same methods as bug team or other bug teams this needs to be found upstream before i feel comfortible of marking it confirmed.

Changed in firefox-3.0:
status: Confirmed → Incomplete
dngreengas (dave-greengas) wrote :

Although not perfect the new gvfs exposes remote file system through fuse.

See http://library.gnome.org/misc/release-notes/2.22/#sect:gvfs-gio for details.

Here is an excerpt:

GVFS also offers a FUSE mountpoint in ~/.gvfs/ so that GVFS mounts can be exposed to legacy applications using standard POSIX IO.

Alexander Sack (asac) wrote :

On Fri, May 09, 2008 at 08:59:15PM -0000, dngreengas wrote:
> Although not perfect the new gvfs exposes remote file system through
> fuse.
>
> See http://library.gnome.org/misc/release-notes/2.22/#sect:gvfs-gio for
> details.
>
> Here is an excerpt:
>
> GVFS also offers a FUSE mountpoint in ~/.gvfs/ so that GVFS mounts can
> be exposed to legacy applications using standard POSIX IO.
>

are we sure that gnomevfs is not broken? What other application uses
it - so we can try?

 affects ubuntu/firefox-3.0
 status incomplete

 - Alexander

Now with the new gvfs we can see the share with firefox, browse them open file from them but we cannot save to the remote directory. However with thunderbird it is possible to browse, open and save file to a remote share (I tried sftp and Samba/windows shares)

A work around would be most welcome

Can you try this in 8.10 and tell us if the problem still occurs?

Hi all,
just upgraded to jaunty, and things are as follows:
1) Firefox + gnome-support: opening remote files through nautilus (double click) works; opening through command line (firefox smb://share/file.ext) doesn't work; opening with location bar doesn't work. In the last two cases, since in my case we work in a MS Active Directory environment no password dialog is presented;
2) Firefox file selector doesn't lists network folder (this is the reason why I opened this bug report);
3) Open files thru folders in ~/.gvfs works, and save file works too.

Thank you.

Reported claims fixed released.

Changed in firefox-3.0:
status: Incomplete → Fix Released

Hi,
I haven't see any fix for this bug... there are workaround for the problem, but my original claim is currently valid...

Alexander Sack (asac) wrote :

yes, this isn't fixed; reopening. Thanks!

Changed in firefox-3.0:
importance: Undecided → Medium
status: Fix Released → Triaged
mujaheddin (mujaheddin) wrote :

does it really takes more than two years to fix such issues? omg.

John Vivirito (gnomefreak) wrote :

Can someone please look upstream for this bug or file one upstream and leave link here to upstream bug. I am betting this isnt on our end of firefox.

The information requested has not been provided. I am closing this bug due to inactivity. If you'd like to reopen the issue, please reproduce this in 9.10 and I will do my best to track down the issue as well.

Changed in firefox-3.0 (Ubuntu):
status: Triaged → Invalid

User-Agent: Mozilla/5.0 (X11; U; Linux i686; it; rv:1.9.1.4) Gecko/20091028 Ubuntu/9.10 (karmic) Firefox/3.5.4
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; it; rv:1.9.1.4) Gecko/20091028 Ubuntu/9.10 (karmic) Firefox/3.5.4

Hi,
Firefox file selector in linux only support local file browsing (it doesn't show network places or bookmarked locations). For example, uploading a file from a remote folder (usually a common operation with user files stored in a NAS server) is not possible.
This same bug is reported in a Ubuntu Launchpad:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/31471

Reproducible: Always

Nate Gingras (suboscillator) wrote :

Confirmed in Ubuntu 9.10 using Firefox 3.5 with firefox-gnome-support installed. Open File dialog still fails to list bookmarked remote shares, or mounted remote servers. Tested with SFTP and SMB. Practical use case would be using a webmail client such as Gmail, one cannot attach a file that is on a mounted remote SMB/SFTP share unless one knows to browse to ~/.gvfs/name.of.server/folder_on_server/file_on_server

The other alternative requires copying a file to a local folder first via nautilus. Neither workaround is obvious to end users and both workarounds interrupt the workflow substantially.

Hi,
after 3+ years I have to reconfirm this bug, i will look to open a bug report upstream as soon as possible...

Changed in firefox (Ubuntu):
status: Won't Fix → Confirmed
Odin Hørthe Omdal (velmont) wrote :

We're bitten as well. I've gotten many requests for this here at the office (we use SFTP+Thunderbird for email, hence this operation is very often used). For me using Gmail, I have to do the whole .gvfs-dance in order to find documents on the network. Not nice.

Erik Meitner (e.meitner) wrote :

The scope of this bug ought to be more general as this also affects Thunderbird.

Ignoring that for the moment... this ultimately depends on the Mozilla developers releasing Firefox with their new code for supporting GVFS (Firefox still contains Gnome-VFS support but Gnome-VFS has been deprecated in favor of GVFS since Gnome 2.22).

See this bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=402892

It appears the code to implement GVFS support has been committed. Unless the changes can be backported to 3.x we may have to wait until 4.x. Thats too bad because this is a serious usability issue for my 50+ users.

GaryProsser (gary-prosser) wrote :

This problem also affects use of OpenOffice 3.2

AFAIK its all simply due to filesystem enumeration having a problem with .gvfs under /home - reason, if I put a symlink called eg 'Remote' to '/home/[USER]/.gvfs' on USER's Desktop then I can navigate via 'Remote' to network shares in OO3.2 and Mozilla Firefox 3.0.19 and plain Nautilus - all on Ubuntu 9.04

Discovered it here with the latest Firefox on Lucid.

   1. Open Nautilus and locate the .gvfs directory in your home directory (ctrl-h displays the hidden entries)
   2. Right click on .gvfs and make a link.
   3. Rename the “Link to .gvfs” to something like “Network”
   4. Drag the entry from above to your Nautilus bookmarks

This should make the behaviour "almost" as expected.
You could omit steps 2 and 3 but you would end up with a not very descriptive link called .gvfs

Michael Zaugg (AOI) (it-oas) wrote :

Is Bug https://bugzilla.mozilla.org/show_bug.cgi?id=402892 (Switch from gnome-vfs to GIO) is related?
Comment #31 suggests this (so subsequent #483443 would be related).

I installed FF 4.0 from https://launchpad.net/~ubuntu-mozilla-daily/+archive/ppa but problem stayed (Lucid).
Maybe someone should specify https://bugzilla.mozilla.org/show_bug.cgi?id=526293?

Alexander Sack (asac) on 2011-01-06
Changed in firefox (Ubuntu):
assignee: Alexander Sack (asac) → Chris Coulson (chrisccoulson)
Martin Pitt (pitti) wrote :

In current natty (and in a lot of earlier releases as well), Firefox just uses the standard GNOME file dialog.

Changed in firefox (Ubuntu):
assignee: Chris Coulson (chrisccoulson) → nobody
status: Confirmed → Fix Released

Hi Martin,
Firefox has always had (as far as I remember) the standard gnome file dialog, but the 'places' box is configured to only display local folders, local attached media and user favourites folders.

Alexandr (olexandr-dmitriev) wrote :

Hi,

Natty, Firefox 7 - the sames problem. No bookmarks to samba disks, no mounted samba shares. It's a huge minus if we consider firefox as corporate desktop!

Baditaflorin (baditaflorin) wrote :

Ubuntu 11.10 , firefox 7 and google chrome are having the same problem. Without this i fail to convert all of my pc at the firm to ubuntu.

Giacomo Mirabassi (giacmir) wrote :

Comment #33 provides a nice workaroud, but all the applications should use gvfs correctly. Just as (as an instance) evince does.

Mossroy (mossroy) wrote :

There is another bug on Launchpad for the same issue on other software : https://bugs.launchpad.net/ubuntu/+source/gtk+2.0/+bug/304345

I confirm it's a big problem when you often use network shares.
One can mount them permanently in fstab, of course, but it only works if this share is always up.
In other contexts, like a home network or small organization (with a few standard PCs and no central serve), fstab is not adequate (mouting fails if the network share is not up at startup time)

Another workaround I found is to use the software package gigolo : see http://www.borpin.co.uk/2011/03/29/map-network-drive-in-ubuntu-again/
If you put a bookmark on ~/.gvfs (as suggested above), it can help mounting shares automatically when a remote PC is up.
I did not test it a lot, though.

Mossroy (mossroy) wrote :

Another workaround that can fit some needs : use the package autofs
You can configure it so that it mounts your network shares in a location like /mnt/autofs/servername/share
You can then put a bookmark on this directory, and it seems to be always displayed in open/save dialogs (tested on Firefox and Thunderbird)

Autofs mounts and unmounts the shares automatically when they are used/unused
If you need to use credentials (login/password) to connect to your SMB share, it's less straightforward but seems to work with a bit more config. See http://doc.ubuntu-fr.org/autofs_avec_samba#acces_aux_partages_avec_authentification (in French)

Mossroy (mossroy) wrote :

May I reopen this issue?
It looks like it still affects many people, in recent versions of Firefox (7+) and Ubuntu (11.10, and 12.04 beta 1), and WITH firefox-gnome-support installed.

I suppose I should reopen on firefox package, not firefox-3.0?

Mossroy (mossroy) wrote :

It looks like I don't have the right to change the status of this issue for package firefox...

I consider this bug as annoying as hell. Thanks for the new work around

Baditaflorin (baditaflorin) wrote :

Ubuntu 12.04 and Firefox 12. This bug is as stresfull as in 2006 !!!

Baditaflorin (baditaflorin) wrote :

Today i had to copy 4 Gb of photo from another computer to the Ubuntu computer because you cannot fix a simple and elementary situation.

I understand why people prefer to work with lamedows, you have viruses and stuff, but you can do stuff on it.

thicot (tcoton) wrote :

I have the same issue with a fresh upgrade to 12.04 , Firefox 14, Epiphany 3.4.1 and Opera 12.01, I can even see my network places when I need to upload a file using any of my web browser . It is really a shame!! It was working with 10.04.

kyle renfrow (frow05) wrote :

Hey guys,

If you are stuck on this, the solution is GVFS.

The way GVFS works is, it creates a folder in ~/.gvfs which behaves like a local filesystem to enable access to all applications that don't support network shares.

(my specs: ubuntu 12.04 - firefox 16.x)

This process will require that you remount your network drives after installing GVFS so they're accessible.

1) Remove all bookmarks to your network share(s).
2) Unmount your network share(s) by clicking the eject icon next to it in the device list in the sidebar of Nautilus.
3) Install GVFS support to enable firefox access to your network shares: `sudo apt-get install firefox-gnome-support`
4) RESTART COMPUTER
5) Remount network share(s).
6) Open Firefox and navigate to the page where you were trying to upload. Once open, navigate to to your home folder. If hidden files aren't already visible, right click and select 'Show Hidden Files'. Now, SINGLE click (highlight) the .gvfs folder. Once highlighted, in the bottom right hand corner click the green '+' to add a bookmark to this folder. It's important you bookmark the main .gvfs folder and not any sub-folders as they will also disappear from the list as do your normal network shares. Once added you can rename the bookmark to 'network shares' or whatever you like.

You should be all set to access your network drives now.

NOTE: You can recreate your regular bookmark to the network share to use as normal with Nautilus and other applications that support network shares.

NOTE: The network share will not show up in the .gvfs folder until you have connected to the share. This means on a fresh reboot that folder will be empty. Simply open the network share up via Nautilus to create the session and it'll then be available in the .gvfs folder.

FYI, this package is something I will be installing by default on new Ubuntu setups in the future. Although, along with everybody else, I prefer that Firefox resolve this entirely by simply adding support for network shares! Plz!

Feel free to email me any questions: frow05 [ a t ] gmail [dot] com

Hi Kyle,
thank you for your tips! But the issue remains the same after 6 years, this affects not only firefox but chromium too.

I've been using the below workaround for some years - it works even
better with a startup script to mount network drives from bookmarked
items

grep smb:// ~/.gtk-bookmarks|cut -d ' ' -f 1|xargs gvfs-mount

but -its still a workaround and really needs a fix in firefox's file
browser

To help users I also put a shortcut on their desktop

eg /home/username/Desktop/Network -> /home/username/.gvfs/

which can then be navigated to within the firefox file browser

GaryP

On Fri, 2012-11-02 at 17:40 +0000, kyle renfrow wrote:
> Hey guys,
>
> If you are stuck on this, the solution is GVFS.
>
> The way GVFS works is, it creates a folder in ~/.gvfs which behaves like
> a local filesystem to enable access to all applications that don't
> support network shares.
>
> (my specs: ubuntu 12.04 - firefox 16.x)
>
> This process will require that you remount your network drives after
> installing GVFS so they're accessible.
>
> 1) Remove all bookmarks to your network share(s).
> 2) Unmount your network share(s) by clicking the eject icon next to it in the device list in the sidebar of Nautilus.
> 3) Install GVFS support to enable firefox access to your network shares: `sudo apt-get install firefox-gnome-support`
> 4) RESTART COMPUTER
> 5) Remount network share(s).
> 6) Open Firefox and navigate to the page where you were trying to upload. Once open, navigate to to your home folder. If hidden files aren't already visible, right click and select 'Show Hidden Files'. Now, SINGLE click (highlight) the .gvfs folder. Once highlighted, in the bottom right hand corner click the green '+' to add a bookmark to this folder. It's important you bookmark the main .gvfs folder and not any sub-folders as they will also disappear from the list as do your normal network shares. Once added you can rename the bookmark to 'network shares' or whatever you like.
>
> You should be all set to access your network drives now.
>
> NOTE: You can recreate your regular bookmark to the network share to use
> as normal with Nautilus and other applications that support network
> shares.
>
> NOTE: The network share will not show up in the .gvfs folder until you
> have connected to the share. This means on a fresh reboot that folder
> will be empty. Simply open the network share up via Nautilus to create
> the session and it'll then be available in the .gvfs folder.
>
> FYI, this package is something I will be installing by default on new
> Ubuntu setups in the future. Although, along with everybody else, I
> prefer that Firefox resolve this entirely by simply adding support for
> network shares! Plz!
>
> Feel free to email me any questions: frow05 [ a t ] gmail [dot] com
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.